Nini Library API Reference - http://nini.sourceforge.net/ |

# IniException Members

IniException overview

#### Public Instance Constructors

IniException | Overloaded. Initializes a new instance of the IniException class.

#### Public Instance Properties

Data (inherited from Exception) | Gets a collection of key/value pairs that provide additional, user-defined information about the exception.
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
LineNumber | Returns the line number where the exception occurred.
LinePosition | Returns the line position where the exception occurred.
Message | Returns the exception message.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData | ISerializable GetObjectData method.
GetType (inherited from Exception) | Gets the runtime type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

#### Protected Instance Constructors

IniException | Overloaded. Initializes a new instance of the IniException class.

#### Protected Instance Properties

HResult (inherited from Exception) | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniException Class | Nini.Ini Namespace